package UVC;

import anywheresoftware.b4a.BA;

// gak jadi kepake

@SuppressWarnings("unused")
public class Aver_VC520 {

	public final int VendorID = 0x2574;
	public final int ProductID = 0x0901;
	
	private BA bax;
	private Object caller;
	private String event;
	private final Object Me = this;
	private boolean need_log_event = false;
	public void Initialize(BA ba, Object callerobject, String eventname) {
		 bax = ba;
		 caller = callerobject;
		 event = eventname.trim();
		 if (bax instanceof BA) {
			 if (caller != null) {
				 if (!event.isEmpty()) {
					 need_log_event = bax.subExists(event+"_log");
				 }
			 }
		 }
	}
	
	private void raise_log(String value) {
		if (need_log_event) bax.raiseEventFromDifferentThread(Me, null, 0, event+"_log", false, new Object[] {value});
	}
}
